#ifndef MYGLUTSHAPES_H
#define MYGLUTSHAPES_H

extern void APIENTRY myGlutWireSphere(GLdouble radius, GLint slices, GLint stacks);
extern void APIENTRY myGlutSolidSphere(GLdouble radius, GLint slices, GLint stacks);
	/* Slices means the number of longitude lines, stacks is the number of latitude
		lines. */
extern void APIENTRY myGlutWireCone(GLdouble base, GLdouble height, GLint slices, GLint stacks);
extern void APIENTRY myGlutSolidCone(GLdouble base, GLdouble height, GLint slices, GLint stacks);
extern void APIENTRY myGlutWireTorus(GLdouble innerRadius, GLdouble outerRadius, GLint sides, GLint rings);
extern void APIENTRY myGlutSolidTorus(GLdouble innerRadius, GLdouble outerRadius, GLint sides, GLint rings);
	/* Meaning of the second two args are as follows.
	The "sides" are the number of sides in a "vertial" torus crosssection as sliced
	through the ring as if making bagel chips, "sides" is also the number of
	latitude lines if we think of the poles located above and below the torus hole.
	The "rings" is the number "vertical" rings around the torus, the "rings" is
	the number of longitude lines, or the "rings" is the nubmer of sides in
	the shape we see if we look down at the torus from above its hole. */
extern void APIENTRY myGlutWireTetrahedron(void);
extern void APIENTRY myGlutSolidTetrahedron(void);
extern void APIENTRY myGlutWireCube(GLdouble size);
extern void APIENTRY myGlutSolidCube(GLdouble size);
extern void APIENTRY myGlutWireOctahedron(void);
extern void APIENTRY myGlutSolidOctahedron(void);
extern void APIENTRY myGlutWireDodecahedron(void);
extern void APIENTRY myGlutSolidDodecahedron(void);
extern void APIENTRY myGlutWireIcosahedron(void);
extern void APIENTRY myGlutSolidIcosahedron(void);
extern void APIENTRY myGlutWireTeapot(GLdouble scale);
extern void APIENTRY myGlutSolidTeapot(GLdouble scale);

#endif MYGLUTSHAPES_H